<?php
namespace Teknisa\MAN\Services;

use Teknisa\MAN\Factories\CadAmbienteModel;
use Teknisa\MAN\Utilities;
use Doctrine\DBAL\Connection;

class CadAmbienteService {

    /**
     * @var 
     */

    protected $CadAmbienteModel;
    protected $conn;
    public function __construct(CadAmbienteModel $cadAmbienteModel, Connection $conn) {
        $this->cadAmbienteModel = $cadAmbienteModel;
        $this->conn = $conn;
    }


    /**
     * @return int
     */
    public function getNextCodigo($CDFILIAL) {    
        $codigoRow = $this->cadAmbienteModel->getMaxCodigo($CDFILIAL); 
        $codigo = $codigoRow[0]['MAX_CDSALA'];
        return !is_null($codigo) ? ++$codigo : 1;
    }

    public function findCodigo($sgsala, $nrorg){
        $params = array(
            "SGSALA" => $sgsala,
            "NRORG" => $nrorg
     	); 
        return $this->conn->fetchAll(Utilities\Query::GET_SALA,$params);
    }
} 